/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Dreadhorn\Champion\FeralTreefellow.cs
Lines of code: 75
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a treefellow corpse" )]
	public class FeralTreefellow : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.Dismount;
		}

		[Constructable]
		public FeralTreefellow() : base( AIType.AI_Super, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{
			Name = "a feral treefellow";
			Body = 301;

			SetStr( 1356, 1554 );
			SetDex( 301, 529 );
			SetInt( 662, 896 );

			SetHits( 1180, 1314 );
			SetMana( 301, 529 );
			SetStam( 301, 529 );

			SetDamage( 16, 24 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 60, 69 );
			SetResistance( ResistanceType.Cold, 71, 80 );
			SetResistance( ResistanceType.Poison, 62, 69 );
			SetResistance( ResistanceType.Energy, 42, 59 );

			SetSkill( SkillName.MagicResist, 90.6, 119.0 );
			SetSkill( SkillName.Tactics, 65.2, 111.2 );
			SetSkill( SkillName.Wrestling, 82.0, 119.6 );

			Fame = 8000;
			Karma = 5000;

			VirtualArmor = 24;
			PackItem( new Log( Utility.RandomMinMax( 60, 68 ) ) );
		}

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public override int GetIdleSound()
		{
			return 443;
		}

		public override int GetDeathSound()
		{
			return 31;
		}

		public override int GetAttackSound()
		{
			return 672;
		}

		public override bool BleedImmune{ get{ return true; } }

		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich );
		}

		public FeralTreefellow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			if ( BaseSoundID == 442 )
				BaseSoundID = -1;
		}
	}
}